<?php
header( "Content-type: text/plain" );

if( ! isset( $_REQUEST['url'] )) exit;

$s = file_get_contents( urldecode( $_REQUEST['url'] ));

if( $s === false ) exit;

/*Parse units */
$filename = '/usr/local/etc/mos/iconmenu/iconmenu.conf';
if (file_exists($filename)) {
  $xmlstring = file_get_contents($filename);
  $xml = simplexml_load_string( $xmlstring );
  $units = (string)$xml->weather->unit;
  $minmaxW = (string)$xml->weather->minmaxinfo;
} 

if ($minmaxW == 'wMIN') {
  if( $units == 'M') $units  = 'C'; 
  if( $units == 'S') $units  = 'K'; 
  if( $units == 'I') $units  = 'F'; 
} else {
  $minmaxW = 'wMAX';
  $units  = 'C';
}
/*End parse units*/


/*  Old for www.accuweather.com
$x = new SimpleXMLElement($s);
$s  = (string)$x->local->adminArea .', '. (string)$x->local->country .PHP_EOL; // cityArea + cityCountry
$s .= (string)$x->local->city .PHP_EOL;				// cityName
$s .= (string)$x->currentconditions->temperature .' °'. (string)$x->units->temp .PHP_EOL; // cityTemp + cityUnit
$s .= (string)$x->currentconditions->weathertext .PHP_EOL;	// cityCond
$s .= '/usr/local/etc/mos/iconmenu/images/icons/'. (string)$x->currentconditions->weathericon .'.png' .PHP_EOL; // cityIcon
*/

$weatherData = json_decode($s,true);

$s  = @$weatherData['data']['0']['timezone']. PHP_EOL;
$s .= @$weatherData['data']['0']['city_name']. PHP_EOL;

/*Convert  Celsius to Kelvin and Fahrenheit*/
$tempCel = @$weatherData['data']['0']['temp'];

if ($minmaxW == 'wMAX') {
$s .= $tempCel . ' °'. $units .  PHP_EOL;
$tempFahr = (9 / 5) * $tempCel + 32;          //magic const numbers from the formula
$s .= $tempFahr. ' °F'.  PHP_EOL; 
$tempKelv = $tempCel + 273.15;                //magic const numbers from the formula
$s .= $tempKelv. ' °K'.  PHP_EOL;
} else {
$s .= $tempCel . ' °'. $units .  PHP_EOL;
$s .= '0' .  PHP_EOL;
$s .= '0'.  PHP_EOL;
}
/*end Convert  Celsius to Kelvin and Fahrenheit*/

$s .= @$weatherData['data']['0']['weather']['description']. PHP_EOL;
$s .= '/usr/local/etc/mos/iconmenu/images/icons/weatherbit/'. @$weatherData['data']['0']['weather']['icon'].'.png'. PHP_EOL;

/*
$unixTimestamp  = @$weatherData['data']['0']['ts']. PHP_EOL; 
$weekDay = date("l", $unixTimestamp );
*/
$weekDay = date("l");
$lang = (string)$xml->weather->language;

if($lang == 'ru') {
  if($weekDay ==  'Monday') $weekDay ='Понедельник';
    elseif($weekDay ==  'Tuesday') $weekDay ='Вторник ';
    elseif($weekDay ==  'Wednesday') $weekDay ='Среда ';
    elseif($weekDay ==  'Thursday') $weekDay ='Четверг ';
    elseif($weekDay ==  'Friday') $weekDay ='Пятница ';
    elseif($weekDay ==  'Saturday') $weekDay ='Суббота ';
    elseif($weekDay ==  'Sunday') $weekDay ='Воскресенье ';
} /*
elseif ($lang == 'someyouneed'){
  if($weekDay ==  'Monday') $weekDay ='(MON) ';
    elseif($weekDay ==  'Tuesday') $weekDay ='(TUE) ';
    elseif($weekDay ==  'Wednesday') $weekDay ='(WED) ';
    elseif($weekDay ==  'Thursday') $weekDay ='(THU) ';
    elseif($weekDay ==  'Friday') $weekDay ='(FRI) ';
    elseif($weekDay ==  'Saturday') $weekDay ='(SAT) ';
    elseif($weekDay ==  'Sunday') $weekDay ='(SUN) '; 
}
*/

$s .= $weekDay .PHP_EOL;

$s .= @$weatherData['data']['0']['app_temp']. ' °'. $units .  PHP_EOL;// ощущается температура//
$s .= @$weatherData['data']['0']['vis']. ' km'. PHP_EOL; // видимость
$s .= @$weatherData['data']['0']['wind_cdir']. PHP_EOL;// направление ветра
$s .= @$weatherData['data']['0']['wind_spd']. ' m/s'. PHP_EOL;// скорость ветра
$s .= @$weatherData['data']['0']['rh']. ' %'. PHP_EOL;// влажность

$g = file_get_contents( "http://ip-api.com/xml" );

if( $g === false ) $s .= 'no IP';
else
{
	$x = new SimpleXMLElement($g);
	$s .= (string)$x->query .PHP_EOL;
	$s .= $minmaxW .PHP_EOL;
}

file_put_contents( '/tmp/im_weather.dat', $s );
echo "/tmp/im_weather.dat";

?>